petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESFASRestrict

restrict a Vec to the next coarser level

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASRestrict(SNES fine,Vec Xfine,Vec Xcoarse)

Collective Many br

### Input Arguments

| fine | - SNES from which to restrict Many br
| Xfine | - vector to restrict Many br

### Output Arguments

Xcoarse -result of restriction Many br

Many br

### See Also

SNESFASSetRestriction(), SNESFASSetInjection()

Level:developer
Location:src/snes/impls/fas/fas.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages